<?php
/*
Plugin Name:  Başlıkta ve İçerikteki Kelime Sayısı
Plugin URI: https://www.seogle.com.tr/wordpress-eklentilerimiz/
Description: Bu eklenti, içerik başlığınızdaki karakter sayısı ile içeriğinizdeki kelime sayısını yansıtır.
Version: 1.0
Author: Okan CERİT
Author URI: https://www.linkedin.com/in/okancerit/
License: GPL2
*/

// Başlık karakter sayısını ekle
function add_title_character_count_column($columns) {
    $columns['title_char_count'] = 'Başlık Karakter Sayısı';
    return $columns;
}
add_filter('manage_posts_columns', 'add_title_character_count_column');

// İçerik kelime sayısını ekle
function add_content_word_count_column($columns) {
    $columns['content_word_count'] = 'İçerik Kelime Sayısı';
    return $columns;
}
add_filter('manage_posts_columns', 'add_content_word_count_column');

// Başlık karakter sayısını göster
function show_title_character_count($column_name, $post_id) {
    if ($column_name == 'title_char_count') {
        $title = get_the_title($post_id);
        echo strlen($title);
    }
}
add_action('manage_posts_custom_column', 'show_title_character_count', 10, 2);

// İçerik kelime sayısını göster
function show_content_word_count($column_name, $post_id) {
    if ($column_name == 'content_word_count') {
        $content = get_post_field('post_content', $post_id);
        echo str_word_count(strip_tags($content));
    }
}
add_action('manage_posts_custom_column', 'show_content_word_count', 10, 2);

// Sütunları düzenlenebilir hale getirme
function set_custom_columns_sortable($columns) {
    $columns['title_char_count'] = 'title_char_count';
    $columns['content_word_count'] = 'content_word_count';
    return $columns;
}
add_filter('manage_edit-post_sortable_columns', 'set_custom_columns_sortable');
